#ifndef TMMOVIE_H
#define TMMOVIE_H

#include <RQ_OBJECT.h>
#include <TGFrame.h>
#include <TGButtonGroup.h>
#include <TGLabel.h>
#include <TGTextEntry.h>

class TMMovie : public TGTransientFrame {
    
  RQ_OBJECT("TMMovie")

 public:
    
  TMMovie(const TGWindow* p, const TGWindow *main);
  virtual ~TMMovie();
  virtual void CloseWindow();
  virtual void MakeAssignment();
  virtual Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);
		
 private:

  //!!!  const TGWindow        *fSPD;
  TGGroupFrame          *fTop;
  TGCompositeFrame	*fF[5];
  TGLabel               *fLabel1, *fLabel2, *fLabel3, *fLabel4;
  TGTextEntry		*fText1, *fText2, *fText3, *fText4;
  TGLayoutHints		*fLayout, *fLayout2, *fLayout3, *fLayout4, *fLayout5;
  TGLabel		*fLabel;
  TGTextButton          *fTextB[3];
  Bool_t                fLetUserCloseWindow;

  enum EEvents {
    TEXT_VAL1,
    TEXT_VAL2,
    TEXT_VAL3,
    TEXT_VAL4,
    BUTTON_APPLY,
    BUTTON_CANCEL,
    BUTTON_HELP,
    BUTTON_INFO
  };

  ClassDef(TMMovie, 1);
};

#endif
